Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608943 - enable md5hash by default?
enable md5hash by default?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mbuffer (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Dalloz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-28 21:24 EDT by Chris Schanzle
Modified: 2010-11-14 16:38 EST (History)
2 users (show)

See Also:
Fixed In Version: mbuffer-20100526-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-14 16:28:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Schanzle 2010-06-28 21:24:11 EDT
Hi - Can md5hash be enabled by default in mbuffer?  Sorry, I don't understand from the spec comments why md5hash feature is omitted by default.  Currently with:

mbuffer-20100526-1.fc12.i686

$ mbuffer --hash list
mbuffer: fatal: hash calculation support has not been compiled in!

A simple recompile 'rpmbuild --rebuild --with md5hash mbuffer-20100526-1.fc12.src.rpm' seems to build/link ok and provide a generous list of hashes to use:

$ mbuffer --hash list
valid hash functions are:
	MD2
	SNEFRU256
	SNEFRU128
	RIPEMD320
	RIPEMD256
	RIPEMD128
	WHIRLPOOL
	SHA384
	SHA512
	SHA224
	ADLER32
	SHA256
	MD4
	TIGER160
	TIGER128
	HAVAL128
	HAVAL160
	HAVAL192
	HAVAL224
	CRC32B
	GOST
	TIGER
	RIPEMD160
	HAVAL256
	SHA1
	MD5
	CRC32

And basic tests seem to work:

$ echo foobar | mbuffer -H > /dev/null

summary:  0.0 kByte in  0.0 sec - average of  0.0 kB/s
MD5 hash: 14758f1afd44c09b7992073ccf00b43d
$ echo foobar | md5sum
14758f1afd44c09b7992073ccf00b43d  -

$ echo foobar | mbuffer --hash SHA256 > /dev/null

summary:  0.0 kByte in  0.0 sec - average of  0.0 kB/s
SHA256 hash: aec070645fe53ee3b3763059376134f058cc337247c978add178b6ccdfb0019f
$ echo foobar | sha256sum 
aec070645fe53ee3b3763059376134f058cc337247c978add178b6ccdfb0019f  -


Seems we could just reverse the default logic to enable md5hash.

Thanks for your consideration (and the recent update)!
Comment 1 Fedora Update System 2010-11-01 20:10:58 EDT
mbuffer-20100526-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/mbuffer-20100526-2.fc12
Comment 2 Fedora Update System 2010-11-01 20:11:05 EDT
mbuffer-20100526-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mbuffer-20100526-3.fc14
Comment 3 Fedora Update System 2010-11-01 20:11:12 EDT
mbuffer-20100526-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mbuffer-20100526-2.fc13
Comment 4 Fedora Update System 2010-11-02 18:12:47 EDT
mbuffer-20100526-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mbuffer'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mbuffer-20100526-2.fc12
Comment 5 Bug Zapper 2010-11-03 08:45:59 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Chris Schanzle 2010-11-03 09:41:52 EDT
Works for me, thanks!
Comment 7 Fedora Update System 2010-11-14 16:28:39 EST
mbuffer-20100526-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-11-14 16:36:48 EST
mbuffer-20100526-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-11-14 16:38:37 EST
mbuffer-20100526-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.